﻿
$ErrorActionPreference = 'Stop';

$packageName= 'gitea'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://dl.gitea.io/gitea/1.12.3/gitea-1.12.3-windows-4.0-386.exe'
$url64      = 'https://dl.gitea.io/gitea/1.12.3/gitea-1.12.3-windows-4.0-amd64.exe'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName

  url           = $url
  url64bit      = $url64

  softwareName  = 'Gitea'

  checksum      = 'b238b318b937f4f2fd3219709762b4bf0f4e1673c0d6ed7fc0744dd30f3ae779'
  checksumType  = 'sha256'
  checksum64    = '95da0e4a65ed0201fbd860f9d931c28aa534ff3a0efd3b215daa4d1169962fb3'
  checksumType64= 'sha256'

  fileFullPath  = "$toolsDir\gitea.exe"

  validExitCodes= @(0)
}

Get-ChocolateyWebFile @packageArgs
